Skip to content

작업 동기화 상태 목록

get

/cdi/integrations/{integration_id}/job_sync_status

이 엔드포인트를 사용하여 지정된 통합에 대한 과거 동기화 상태 목록을 반환합니다.

사용량 제한

이 엔드포인트는 분당 100건의 요청으로 사용량 제한이 적용됩니다.

경로 매개변수

매개변수 필수 데이터 유형 설명
integration_id 필수 문자열 통합 ID.

쿼리 매개변수

이 엔드포인트에 대한 각 호출은 10개의 항목을 반환합니다. 10개 이상의 동기화가 있는 통합의 경우, 다음 예시 응답에 표시된 것처럼 Link 헤더를 사용하여 다음 페이지의 데이터를 검색합니다.

매개변수 필수 데이터 유형 설명
cursor 선택 사항 문자열 동기화 상태의 페이지네이션을 결정합니다.

요청 예시

커서 없음

1
2
3
curl --location --request GET 'https://rest.iad-03.braze.com/cdi/integrations/00000000-0000-0000-0000-000000000000/job_sync_status' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'

커서 포함

1
2
3
curl --location --request GET 'https://rest.iad-03.braze.com/cdi/integrations/00000000-0000-0000-0000-000000000000/job_sync_status?cursor=c2tpcDow' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'

응답

성공 응답 예시

200 상태 코드는 다음과 같은 응답 본문을 반환할 수 있습니다.

1
Link: </cdi/integrations/00000000-0000-0000-0000-000000000000/job_sync_status?cursor=c2tpcDow>; rel="prev",</cdi/integrations00000000-0000-0000-0000-000000000000/job_sync_status?cursor=c2tpcDoxMDA=>; rel="next"
1
2
3
4
5
6
7
8
9
10
11
12
13
{
  "results": [
    {
        "job_status": (string) status of the sync, see below for explanation of different statuses,
        "sync_start_time": (string) time the sync started in ISO 8601,
        "sync_finish_time": (string) time the sync finished in ISO 8601,
        "last_timestamp_synced": (string) last UPDATED_AT timestamp processed by the sync in ISO 8601,
        "rows_synced": (integer) number of rows successfully synced to Braze,
        "rows_failed_with_errors": (integer) number of rows failed because of errors
    }
  ],
  "message": "success"
}
job_status 설명
running 작업이 현재 실행 중입니다.
success 모든 행이 성공적으로 동기화되었습니다.
partial 일부 행이 오류로 인해 동기화에 실패했습니다.
error 동기화된 행이 없습니다.
config_error 통합 구성에 오류가 발생했습니다. 통합 설정을 확인하세요.

문제 해결

다음 표에는 반환될 수 있는 오류와 관련 문제 해결 단계가 나와 있습니다.

오류 문제 해결
400 Invalid cursor cursor가 유효한지 확인하세요.
400 Invalid integration ID integration_id가 유효한지 확인하세요.

추가 상태 코드 및 관련 오류 메시지는 심각한 오류 및 응답을 참조하세요.

New Stuff!